From ed40987bdee9f428bbf2f60993b5405ba9b46408 Mon Sep 17 00:00:00 2001
From: Nitesh Shrivastav <nshrivas@codeaurora.org>
Date: Wed, 10 Jun 2020 11:52:14 +0800
Subject: [PATCH 118/124] change makefile of mhi

Change-Id: I044e3f369a4c46b8555165975ef18f857f43185f
---
 drivers/bus/mhi/core/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/drivers/bus/mhi/core/Makefile b/drivers/bus/mhi/core/Makefile
index 460a548..12c57ab3 100644
--- a/drivers/bus/mhi/core/Makefile
+++ b/drivers/bus/mhi/core/Makefile
@@ -1,2 +1,4 @@
-obj-$(CONFIG_MHI_BUS) := init.o main.o pm.o boot.o
-obj-$(CONFIG_MHI_BUS_DEBUG) += debugfs.o
+obj-$(CONFIG_MHI_BUS) := mhi.o
+
+mhi-y := init.o main.o pm.o boot.o
+mhi-$(CONFIG_MHI_BUS_DEBUG) += debugfs.o
-- 
2.7.4

